GET api/sticker/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "2650131c-8f03-48da-91e1-6e5e2eb5f25b",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "89fadfe9-901f-48ba-863e-fc0a118107ba",
"contractItem_ID": "d67d0215-ab86-43c9-b487-34964b5db126",
"departement_ID": "3b7a3ffb-b3ac-488f-bca8-4021678cfd0c",
"departmentItem_ID": "3bcf3370-f2d6-483b-b66a-f451404240fc",
"iD": "5c4b01c8-6816-4a3c-871b-00ef05c09ce1",
"site_ID": "a2d1bbc9-55fc-422b-959a-4c63af9364b0",
"siteCustomer_ID": "f04ad6e0-af30-4f8d-a4c5-cd02f7c551fa",
"sticker_ID": "144a43e5-d936-4525-a053-202bc53b24c3",
"garment_ID": "448aed17-a676-444b-b2a5-07d43352ad32"
},
{
"active": true,
"contract_ID": "89fadfe9-901f-48ba-863e-fc0a118107ba",
"contractItem_ID": "d67d0215-ab86-43c9-b487-34964b5db126",
"departement_ID": "3b7a3ffb-b3ac-488f-bca8-4021678cfd0c",
"departmentItem_ID": "3bcf3370-f2d6-483b-b66a-f451404240fc",
"iD": "5c4b01c8-6816-4a3c-871b-00ef05c09ce1",
"site_ID": "a2d1bbc9-55fc-422b-959a-4c63af9364b0",
"siteCustomer_ID": "f04ad6e0-af30-4f8d-a4c5-cd02f7c551fa",
"sticker_ID": "144a43e5-d936-4525-a053-202bc53b24c3",
"garment_ID": "448aed17-a676-444b-b2a5-07d43352ad32"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "caef59fc-969e-4cac-af78-27ce52820544",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "8ce64464-071c-4453-968f-4c1358757715",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "bfd5c6b7-6976-4fcf-9b9d-854d031c10aa",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "f0211bc5-e37c-442c-b3af-30f5bd4fb81d",
"stickerField_ID": "a9ee0022-c375-43ad-a094-2004017ee362",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "caef59fc-969e-4cac-af78-27ce52820544",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "8ce64464-071c-4453-968f-4c1358757715",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "bfd5c6b7-6976-4fcf-9b9d-854d031c10aa",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "f0211bc5-e37c-442c-b3af-30f5bd4fb81d",
"stickerField_ID": "a9ee0022-c375-43ad-a094-2004017ee362",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "ef66bb86-3fbe-4771-a1e2-7a8d03910ad7",
"stickerType_ID": "93984e8f-fc36-4734-9505-2c12ad5af6c0",
"stickerRelation_IDs": [
"508f5cb6-47cb-4af7-a385-d65357e3e8ea",
"f1bedc96-c133-4c9f-bd2e-5b217c02b8b5"
],
"site_ID": "cfc55e4a-a4b5-4c56-be28-1e8201f9402c"
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.